clan::Line3x< Type > Class Template Reference - ClanLib SDK
Description: clan::Line3x< Type > Class Template Reference

Public Member Functions | Public Attributes | List of all members
clan::Line3x< Type > Class Template Reference
clanCore Math

3D line More...

`#include <line.h>`

## Public Member Functions
| Line3x ()
| Line3x (const Line3x< Type > &copy)=default
| Line3x (const Vec3< Type > &point_p, const Vec3< Type > &point_q)
Vec3< Type > | get_intersection (const Line3x< Type > &second, bool &intersect, Type range=(Type) 0.5) const
| Return the intersection of this and other line.
bool | operator!= (const Line3x< Type > &line) const
| != operator.
Line3x< Type > & | operator= (const Line3x< Type > &copy)=default
| = operator.
bool | operator== (const Line3x< Type > &line) const
| == operator.

## Public Attributes
Vec3< Type > | p
Vec3< Type > | q

## Detailed Description

template<typename Type>
class clan::Line3x< Type >

3D line

These line templates are defined for: int (Line3), float (Line3f), double (Line3d)

## Constructor & Destructor Documentation

## ◆ Line3x() [1/3]

template<typename Type>

clan::Line3x< Type >::Line3x | ( |  | ) |
| inline

References p, and q.

Referenced by Line3x(), get_intersection(), operator!=(), operator=(), and operator==().

## ◆ Line3x() [2/3]

template<typename Type>

clan::Line3x< Type >::Line3x | ( | const Line3x< Type > & | copy | ) |
| default

References Line3x().

## ◆ Line3x() [3/3]

template<typename Type>

clan::Line3x< Type >::Line3x | ( | const Vec3< Type > & | point_p,
|  | const Vec3< Type > & | point_q )
| inline

References p, and q.

## Member Function Documentation

## ◆ get_intersection()

template<typename Type>

Vec3< Type > clan::Line3x< Type >::get_intersection | ( | const Line3x< Type > & | second,
|  | bool & | intersect,
|  | Type | range = (Type) 0.5 ) const

Return the intersection of this and other line.

Parameters

  second | = The second line to use
  intersect | = On Return: true if the lines intersect, false if the lines are parallel
  range | = Rounding error delta, to use to judge whether of not the lines intersect

Returns
  The point

References Line3x().

## ◆ operator!=()

template<typename Type>

bool clan::Line3x< Type >::operator!= | ( | const Line3x< Type > & | line | ) | const
| inline

!= operator.

References Line3x(), clan::line, p, and q.

## ◆ operator=()

template<typename Type>

Line3x< Type > & clan::Line3x< Type >::operator= | ( | const Line3x< Type > & | copy | ) |
| default

= operator.

References Line3x().

## ◆ operator==()

template<typename Type>

bool clan::Line3x< Type >::operator== | ( | const Line3x< Type > & | line | ) | const
| inline

== operator.

References Line3x(), clan::line, p, and q.

## Member Data Documentation

## ◆ p

template<typename Type>

Vec3<Type> clan::Line3x< Type >::p

Referenced by Line3x(), Line3x(), operator!=(), and operator==().

## ◆ q

template<typename Type>

Vec3<Type> clan::Line3x< Type >::q

Referenced by Line3x(), Line3x(), operator!=(), and operator==().

The documentation for this class was generated from the following file:

- line.h